Name:		yasm
Version:	1.3.0
Release:	%mkrel 1
Summary:	Modular Assembler
License:	BSD
Group:		Development/Other
Url:		http://yasm.tortall.net/
Source0:	http://www.tortall.net/projects/%{name}/releases/%{name}-%{version}.tar.xz

BuildRequires:	python-cython
BuildRequires:	python-devel
BuildRequires:	xmlto

%description
Yasm is a complete rewrite of the NASM assembler.
It is designed from the ground up to allow for multiple
assembler syntaxes to be supported (eg, NASM, TASM, GAS, etc.) in
addition to multiple output object formats and even multiple
instruction sets. Another primary module of the overall design is an
optimizer module.

#--------------------------------------------------------------------------------

%package	devel
Summary:	Development headers and files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname -d yasm 0

%description devel
Development headers and files for %{name}.

#--------------------------------------------------------------------------------

%package	python
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description python
Python bindings for %{name}.

#--------------------------------------------------------------------------------

%prep
%setup -q

%build
%ifnarch %ix86
export CFLAGS="%{optflags} -fPIC"
%endif

%configure2_5x \
	--disable-rpath \
	--enable-python \
	--enable-python-bindings
%make

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc AUTHORS
%{_bindir}/*
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}_arch.7.*
%{_mandir}/man7/%{name}_dbgfmts.7.*
%{_mandir}/man7/%{name}_objfmts.7.*
%{_mandir}/man7/%{name}_parsers.7.*

%files python
%{python_sitelib}/%{name}.so
%{python_sitelib}/%{name}*-py%{pyver}.egg-info

%files devel
%{_libdir}/lib%{name}.a
%{_includedir}/libyasm/
%{_includedir}/libyasm.h
%{_includedir}/libyasm-stdint.h


%changelog
* Sat Jan 14 2017 adrianomorselli <adrianomorselli> 1.3.0-1uplos2017
- rebuild

* Fri Dec 02 2016 bb <bb> 1.3.0-1pclos2016
- update

